### Enumeration

# FwupdPlugin IoctlFlags

#### Declaration

    flags FwupdPlugin.IoctlFlags

#### Description [src]

Flags used when calling `fu_ioctl_execute()` and fu_udev_device_ioctl().

#### Members

`FU_IOCTL_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 1.0
`FU_IOCTL_FLAG_RETRY`

  Retry the call on failure.

  - Value: `1`
  - Available since: 1.0
`FU_IOCTL_FLAG_PTR_AS_INTEGER`

  The `ptr` passed to ioctl is an integer, not a buffer.

  - Value: `2`
  - Available since: 1.0